diff -rupN debian.old/askpass.c debian/askpass.c
--- debian.old/askpass.c	2012-02-07 16:11:32.000000000 +0100
+++ debian/askpass.c	2013-05-12 12:07:58.000000000 +0200
@@ -170,7 +170,7 @@ splashy_prepare(const char *prompt)
 
 	iov[0].iov_base = "getpass ";
 	iov[0].iov_len = strlen ("getpass ");
-	iov[1].iov_base = prompt;
+	iov[1].iov_base = (char *)prompt;
 	iov[1].iov_len = strlen (prompt) + 1;
 
 	if (writev (fd, iov, 2) == -1) {
@@ -297,7 +297,7 @@ static int
 console_prepare(const char *prompt)
 {
 	struct termios term_new;
-	char *prompt_ptr = prompt;
+	const char *prompt_ptr = prompt;
 	char *newline = NULL;
 
 	if (!isatty(STDIN_FILENO)) {
@@ -473,7 +473,10 @@ main(int argc, char **argv, char **envp)
 	}
 
 	debug("Writing %i bytes to stdout\n", (int)passlen);
-	write(STDOUT_FILENO, pass, passlen);
+	if (write(STDOUT_FILENO, pass, passlen) == -1) {
+		disable_method(NULL);
+		exit(EXIT_FAILURE);
+	}
 	disable_method(NULL);
 	exit(EXIT_SUCCESS);
 }
diff -rupN debian.old/passdev.c debian/passdev.c
--- debian.old/passdev.c	2010-05-19 18:34:10.000000000 +0200
+++ debian/passdev.c	2013-05-12 12:05:50.000000000 +0200
@@ -51,7 +51,6 @@ static bool
 do_mount(const char *device, const char *dir)
 {
 	pid_t pid;
-	pid_t wpid;
 	int status;
 	char *fstypes[] = { "ext4", "ext3", "ext2", "vfat", "btrfs", "reiserfs", "xfs", "jfs", "ntfs", "iso9660", "udf" };
 	int fsindex;
@@ -70,7 +69,7 @@ do_mount(const char *device, const char
 		} else if (pid > 0) {
 			/* We're in the parent process */
 			do {
-				wpid = waitpid(pid, &status, 0);
+				waitpid(pid, &status, 0);
 			} while (!WIFEXITED(status) && !WIFSIGNALED(status));
 			if (WIFEXITED(status) && WEXITSTATUS(status) == EXIT_SUCCESS)
 				return true;
@@ -119,7 +118,7 @@ main(int argc, char **argv, char **envp)
 	size_t byteswritten;
 	ssize_t bytes;
 	char *to;
-	int timeout;
+	int timeout = 0;
 	bool do_timeout = false;
 
 	/* We only take one argument */
